/*
 * $Id: Configurer.java 4701 2018-03-11 17:35:20Z carsten $
 *
 * Copyright 2010 - Carsten Moeller Software
 * All rights reserved.
 * Use is subject to license terms.
 */

package de.cm.osm2po;

import de.cm.osm2po.misc.Props;

/**
 * Implementationen dieser Klasse koennen per Code
 * die {@link Config#getProps()} uebersteuern.
 * Config-Beispiel:<br>
 * <code>configurer.class=my.package.MyConfigurer</code>
 * @author (c) 2018 - Carsten Moeller - info@osm2po
 * @see #configure(Props)
 */
public interface Configurer {
    /**
     * Wird, wenn konfiguriert, aus der {@link Config} gerufen,
     * um {@link Props} zu uebersteuern, und zwar bevor sie verarbeitet werden.
     * So koennen Code-Konstanten direkt als Parameter verwendet werden.
     * @param props {@link Props}
     * @see Configurer
     */
    void configure(Props props);
}
