/*
 * $Id: DbColumn.java 4714 2018-03-20 15:52:46Z carsten $
 *
 * Copyright 2018 - Carsten Moeller Software
 * All rights reserved.
 * Use is subject to license terms.
 */

package de.cm.osm2po.annotations;

import static java.lang.annotation.ElementType.FIELD;
import static java.lang.annotation.RetentionPolicy.RUNTIME;

import java.lang.annotation.Documented;
import java.lang.annotation.Retention;
import java.lang.annotation.Target;

import de.cm.osm2po.postp.DbExtensionBuilder;

/**
 * Annotiert ein Feld als Spalte einer View.
 * @author (c) 2018 - Carsten Moeller, info@osm2po.de
 * @see DbSource
 * @see DbExtensionBuilder
 */
@Retention(RUNTIME)
@Target(FIELD)
@Documented
public @interface DbColumn {
    /** @return Feld darf null sein */
    boolean nullable() default true;
    /** @return Name der gemappten Spalte im SQL */
    String value() default "";
}
