/*
 * $Id: ValidWayJoinFilter.java 5194 2020-10-31 13:30:03Z carsten $
 *
 * Copyright 2011 - Carsten Moeller Software
 * All rights reserved.
 * Use is subject to license terms.
 */

package de.cm.osm2po.converter.joiner;
import de.cm.osm2po.Config;
import de.cm.osm2po.converter.Tiler;
import de.cm.osm2po.model.OsmWay;
import de.cm.osm2po.model.Way;

/**
 * Ueberschreibt lediglich {@link #validate(Way)} und liefert nur
 * das Ergebnis von {@link OsmWay#isInvalid()} zurueck.
 * Ist im {@link Tiler} <code>disablePreFilter=false</code> gesetzt,
 * dann liefert dieser Filter gewoehnlich immer <code>true</code>.
 * @author (c) 2020 - Carsten Moeller - info@osm2po
 * @see FlowJoinFilter
 */
public class ValidWayJoinFilter implements JoinFilter {
    @Override public void tiledInto(int tileId, boolean written) {}
    @Override public void open(Config config, String prefix) {}
    @Override public void close() {}
    @Override public boolean validate(Way way) {
        // besser zu debuggen als return !way.isInvalid()
        if (way.isInvalid()) {
            return false;
        } else {
            return true;
        }
    }
}
