/*
 * $Id: EmptyGraphParser.java 4597 2018-01-06 12:37:01Z carsten $
 *
 * Copyright 2017 - Carsten Moeller Software
 * All rights reserved.
 * Use is subject to license terms.
 */

package de.cm.osm2po.converter.parser;

import java.io.InputStream;

import de.cm.osm2po.Config;
import de.cm.osm2po.routing.Graph;

/**
 * Parser, der eine leere {@link Graph}-Datei erzeugt.
 * @author (c) 2017 - Carsten Moeller - info@osm2po.de
 */
public class EmptyGraphParser implements OsmParser {

    private OsmParserHandler handler;

    @Override
    public void open(InputStream inputStream, OsmParserHandler osmParserHandler, Config config) {
        this.handler = osmParserHandler;
    }

    @Override
    public void parse() {
        this.handler.onNode(1, 0, 0);
        this.handler.onNodeComplete();
        this.handler.closeNodeProcessing();
        this.handler.onWay(1);
        this.handler.onWayComplete();
        this.handler.closeWayProcessing();
        this.handler.onRelation(1);
        this.handler.closeRelationProcessing();
        this.handler.onRelationComplete();
    }

    @Override
    public void close() {
    }
}
