/*
 * $Id: OsmDebugParserHandler.java 4606 2018-01-11 21:50:57Z carsten $
 *
 * Copyright 2011 - Carsten Moeller Software
 * All rights reserved.
 * Use is subject to license terms.
 */

package de.cm.osm2po.converter.parser;

import de.cm.osm2po.Config;

/**
 * Handler fuer Debug-Zwecke.
 * @author (c) 2012 - Carsten Moeller - info@osm2po.de
 */
public class OsmDebugParserHandler implements OsmParserHandler {

    @Override
    public void closeNodeProcessing() {
    }

    @Override
    public void closeRelationProcessing() {
    }

    @Override
    public void closeWayProcessing() {
    }

    @Override
    public void onNode(long id, double lat, double lon) {
        System.out.println("NODE " + id + " " + lat + " " + lon);
    }

    @Override
    public void onNodeComplete() {
    }

    @Override
    public void onNodeTag(String key, String value) {
        System.out.println("    TAG " + key + " = " + value);
    }

    @Override
    public void onRelation(long id) {
        System.out.println("RELATION " + id);
    }

    @Override
    public void onRelationComplete() {
    }

    @Override
    public void onRelationMember(String type, long ref, String role) {
        System.out.println("    MEMBER " + type + " " + role + " " + ref);
    }

    @Override
    public void onRelationTag(String key, String value) {
        System.out.println("    TAG " + key + " = " + value);
    }

    @Override
    public void onWay(long id) {
        System.out.println("WAY " + id);
    }

    @Override
    public void onWayComplete() {
    }

    @Override
    public void onWayNdRef(long ndRefId) {
        System.out.println("    REF " + ndRefId);
    }

    @Override
    public void onWayTag(String key, String value) {
        System.out.println("    TAG " + key + " = " + value);
    }

    @Override
    public void close() {
    }

    @Override
    public void open(Config config) {
    }

    @Override
    public void onWayObj(String key, Object value) {
    }

    @Override
    public void onNodeObj(String key, Object value) {
    }

    @Override
    public void onNodeAction(String action) {
    }

}
