/*
 * $Id: OsmParser.java 4423 2017-04-16 08:26:55Z carsten $
 *
 * Copyright 2011 - Carsten Moeller Software
 * All rights reserved.
 * Use is subject to license terms.
 */

package de.cm.osm2po.converter.parser;

import java.io.InputStream;

import de.cm.osm2po.Config;

/**
 * Kapselt das Standardverhalten fuer das Parsen von OSM-Daten.
 * 
 * @author (c) 2012 - Carsten Moeller - info@osm2po
 * @see OsmXmlParser
 * @see OsmParserHandler
 */
public interface OsmParser {

    /**
     * Initialisiert den Parser fuer das Lesen von OSM-XML-Dateien.
     * @param inputStream {@link InputStream} xml-Quelle.
     * @param osmParserHandler {@link OsmParserHandler} Callback
     * @param config {@link Config}
     */
    void open(InputStream inputStream, OsmParserHandler osmParserHandler, Config config);

    /** Startet das Parsing. */
    void parse();

    /** 
     * Setzt auf Initialzustand zurueck und sollte Resourcen freigeben,
     * Der Stream sollte aber nicht geschlossen werden, da dieser
     * ja bereits geoeffnet uebergeben wurde.
     */
    void close();

}