/*
 * $Id: NodeTagResolver.java 4606 2018-01-11 21:50:57Z carsten $
 *
 * Copyright 2010 - Carsten Moeller Software
 * All rights reserved.
 * Use is subject to license terms.
 */

package de.cm.osm2po.converter.tiler;

/**
 * Interface fuer Callback-Klassen, die eine Sammlung von
 * OSM-Node-Tags waehrend der Parsing-Phase auf eindeutige
 * Aussagen verdichten.
 *
 * @author (c) 2012 - Carsten Moeller - info@osm2po
 */
public interface NodeTagResolver extends TagResolver {

    void onCoordinate(double lat, double lon);

    void onAction(String action);

    /** @return Dies ist ein Bahnuebergang ja/nein. */
    boolean isLevelCrossing();

    /** @return Dies ist eine Barriere. */
    boolean isBarrier();
}
