/*
 * $Id: LogWriter.java 4066 2016-01-30 10:46:02Z carsten $
 *
 * Copyright 2011 - Carsten Moeller Software
 * All rights reserved.
 * Use is subject to license terms.
 */

package de.cm.osm2po.logging;

import de.cm.osm2po.Config;

public interface LogWriter {
    
    /**
     * Initialisiert den Writer.
     * @param config {@link Config} NULLABLE.
     * @param index int optionaler index fuer Impl-Unterscheidung
     * @return muss this zurueckliefern.
     */
    LogWriter open(Config config, int index);
    
	/**
	 * Setzt das LogLevel.
	 * @param logLevel int z.B. {@link Log#LEVEL_DEBUG}.
	 * @return this.
	 */
	LogWriter setLogLevel(int logLevel);
	
	/**
	 * Liefert das LogLevel.
	 * @return int logLevel z.B. {@link Log#LEVEL_DEBUG}.
	 */
	int getLogLevel();
	
    /**
     * Loggt.
     * @param message Message
     * @param logLevel Level, z.B {@link Log#LEVEL_DEBUG}
     */
    void log(String message, int logLevel);
    
    /**
     * Schliesst das Log. Sinnvoll bei z.B. Dateien.
     */
    void close();
}
