/*
 * $Id: PostProcessor.java 4423 2017-04-16 08:26:55Z carsten $
 *
 * Copyright 2011 - Carsten Moeller Software
 * All rights reserved.
 * Use is subject to license terms.
 */

package de.cm.osm2po.postp;

import de.cm.osm2po.Config;

/**
 * Implementationen dieser Klasse sind eigenstaendige
 * Tasks, die im Normalfall am Ende aller Verarbeitungsschritte
 * ausgefuehrt werden.
 * @author (c) 2012 - Carsten Moeller - info@osm2po
 * @see #run(Config, int)
 * @see GeoExtensionBuilderBase
 * @see SndExtensionBuilder
 * @see MlgExtensionBuilder
 */
public interface PostProcessor {
    /**
     * Startet den Lauf.
     * @param config {@link Config} Aktuelle Konfiguration
     * @param index Ordinal-Index bei mehreren Postprozessoren innerhalb der Config.
     * @throws Exception x
     */
    void run(Config config, int index) throws Exception;
}
