/*
 * $Id: OutStream.java 4388 2017-03-01 19:02:53Z carsten $
 *
 * Copyright 2010 - Carsten Moeller Software
 * All rights reserved.
 * Use is subject to license terms.
 */

package de.cm.osm2po.primitives;

/**
 * Schnittstelle fuer alle Ausgabe-Datenstroeme.
 * 
 * @see InStream
 * @see RandomAccess
 * @see OutStreamDisk
 * 
 * @author (c) 2012 - Carsten Moeller - info@osm2po
 */
public interface OutStream {
    
    /** @param b Schreibt dieses byte in den Stream. */
    void writeByte(byte b);
    
    /**
     * Schreibt das ByteArray in den Stream an die
     * aktuelle Schreibposition.
     * @param bytes byte[] Bytes.
     * @param len Anzahl zu Schreibender bytes.
     */
    void writeBytes(byte[] bytes, int len);
    
    /** @param s Schreibt diesen short in den Stream. */
    void writeShort(short s);

    /** @param l Schreibt diesen long in den Stream. */
    void writeLong(long l);
    
    /** @param i Schreibt diesen int in den Stream. */
    void writeInt(int i);
    
    /** Close this stream. */
    void close();
    
    /** @return aktuelle Schreibposition. */
    long getWriteIndex();

}
