/*
 * $Id: RandomRead.java 4353 2017-02-05 11:48:42Z carsten $
 *
 * Copyright 2010 - Carsten Moeller Software
 * All rights reserved.
 * Use is subject to license terms.
 */

package de.cm.osm2po.primitives;

/**
 * Dieses Interface erweitert {@link InStream}
 * um die Option Daten nicht nur sequentiell zu lesen,
 * sondern auch wahlfrei die Position fuer die naechste
 * Leseposition zu setzen.<br>
 * <br><b>Wichtig</b><br>
 * Der Gebrauch von {@link #setReadIndex(long)}
 * ist nicht thread-safe!<br>
 * Folglich muss der Aufrufer fuer eine Synchronisierung sorgen.
 * 
 * @author (c) 2013 - Carsten Moeller - info@osm2po
 */
public interface RandomRead extends InStream {

    /** @param index Setzt die aktuelle Leseposition. */
    void setReadIndex(long index);

}
