/*
 * $Id: VarLongArray.java 5243 2021-02-09 21:03:31Z carsten $
 *
 * Copyright 2010 - Carsten Moeller Software
 * All rights reserved.
 * Use is subject to license terms.
 */

package de.cm.osm2po.primitives;

/**
 * Ein Standard-Java-LongArray fuer die Verwendung als {@link Var}.
 * @author (c) 2015 - Carsten Moeller - info@osm2po
 */
public class VarLongArray implements Var<VarLongArray> {

    private long[] longs;

    public VarLongArray() {}

    /**
     * CTOR.
     * @param longs Array of long
     */
    public VarLongArray(long[] longs) {
    	if (null == longs) {
    		this.longs = new long[0];
    	} else {
    		this.longs = longs;
    	}
    }

    public long[] getlongs() {
    	return this.longs;
    }

    @Override
    public VarLongArray readFromStream(InStream inStream) {
        int n = inStream.readInt();
        this.longs = new long[n];
        for (int i = 0; i < n; i++) {
            this.longs[i] = inStream.readLong();
        }
        return this;
    }

    @Override
    public void writeToStream(OutStream outStream) {
        int n = null == this.longs ? 0 : this.longs.length;
        outStream.writeInt(n);
        for (int i = 0; i < n; i++) {
            outStream.writeLong(this.longs[i]);
        }
    }

}
