/*
 * $Id: VarShortArray.java 3966 2015-11-16 19:15:40Z carsten $
 *
 * Copyright 2010 - Carsten Moeller Software
 * All rights reserved.
 * Use is subject to license terms.
 */

package de.cm.osm2po.primitives;

/**
 * @author (c) 2015 - Carsten Moeller - info@osm2po
 */
public class VarShortArray implements Var<VarShortArray> {

    private short[] shorts;
    
    public VarShortArray() {}
    
    /** 
     * CTOR.
     * @param shorts Array of short
     */
    public VarShortArray(short[] shorts) {
    	if (null == shorts) {
    		this.shorts = new short[0];
    	} else {
    		this.shorts = shorts; 
    	}
    }
    
    public short[] getshorts() {
    	return this.shorts;
    }

    @Override
    public VarShortArray readFromStream(InStream inStream) {
        int n = inStream.readInt();
        this.shorts = new short[n];
        for (int i = 0; i < n; i++) {
            this.shorts[i] = inStream.readShort();
        }
        return this;
    }

    @Override
    public void writeToStream(OutStream outStream) {
        int n = null == this.shorts ? 0 : this.shorts.length;
        outStream.writeInt(n);
        for (int i = 0; i < n; i++) {
            outStream.writeShort(this.shorts[i]);
        }
    }

}
