/*
 * $Id: FoundTargetsAware.java 5420 2021-11-16 20:31:42Z carsten $
 *
 * Copyright 2021 - Carsten Moeller Software
 * All rights reserved.
 * Use is subject to license terms.
 */

package de.cm.osm2po.routing;

/**
 * @author (c) 2021 - Carsten Moeller - info@osm2po
 * @see #getVisitedTargetIds()
 */
public interface FoundTargetsAware {

    /**
     * Ermoeglicht die Abfrage aller gefundenen Ziele aufgrund
     * der gelieferten {@link RouterConstraints}.<br>
     * Dies koennen die Targets selbst sein, jedoch ist hierueber
     * auch eine "Suche die naechsten 3 Bahnhoefe" - Abfrage moeglich,
     * @return int-Array von erreichten Target-Ids
     * @see VertexRouter
     * @see OverlayVertexRouter
     */
    int[] getVisitedTargetIds();
}