/*
 * $Id: TargetCostsAware.java 5420 2021-11-16 20:31:42Z carsten $
 *
 * Copyright 2021 - Carsten Moeller Software
 * All rights reserved.
 * Use is subject to license terms.
 */

package de.cm.osm2po.routing;

/**
 * @author (c) 2021 - Carsten Moeller - info@osm2po
 * @see #getTargetCost(int)
 */
public interface TargetCostsAware {

    /**
     * Liefert die internen Kosten der PriorityQueue fuer
     * einen besuchten Target-Vertexes. Wird normalerweise fuer
     * den Aufbau einer Adjazenz-(Kosten-)Matrix benoetigt.
     * @param vertexId int ID des Vertex
     * @return Vertex-Kosten oder {@value Double#NaN}, wenn nicht besucht oder SourceVertex.
     * @see VertexRouter
     * @see OverlayVertexRouter
     */
    double getTargetCost(int vertexId);

}