/*
 * $Id: VisitedVerticesAware.java 5638 2022-04-15 19:56:21Z carsten $
 *
 * Copyright 2021 - Carsten Moeller Software
 * All rights reserved.
 * Use is subject to license terms.
 */

package de.cm.osm2po.routing;

/**
 * Router, die dieses Interface implementieren, koennen fuer eine
 * nachtraegliche Betrachtung aller besuchten Vertices herangezogen werden.
 * @author (c) 2021 - Carsten Moeller - info@osm2po
 * @see #getVisited()
 */
public interface VisitedVerticesAware {

    /**
     * Liefert eine Menge aller besuchten VertexIDs.
     * Ob diese sortiert ist oder nicht, haengt von der
     * Implementation ab.
     * @return int[] VertexIds (not null)
     */
    int[] getVisited();

}