/*
 * $Id: ServiceResponse.java 5712 2022-09-23 07:52:26Z carsten $
 *
 * Copyright 2017 - Carsten Moeller Software
 * All rights reserved.
 * Use is subject to license terms.
 */

package de.cm.osm2po.service;

import static de.cm.osm2po.service.ServiceHandler.HTTP_200;
import static de.cm.osm2po.service.ServiceHandler.MIME_HTML;
import static de.cm.osm2po.service.ServiceHandler.MIME_JSON;
import static de.cm.osm2po.service.ServiceHandler.MIME_TEXT;

public class ServiceResponse {
    // NICHT final, da Erweiterterung der Daten, z.B. im Custom-Filter,
    // per extends moeglich sein muss.

    public static ServiceResponse okJson(final byte[] responseBody) {
        return new ServiceResponse(HTTP_200, MIME_JSON, responseBody);
    }
    public static ServiceResponse okText(final byte[] responseBody) {
        return new ServiceResponse(HTTP_200, MIME_TEXT, responseBody);
    }
    public static ServiceResponse okHtml(final byte[] responseBody) {
        return new ServiceResponse(HTTP_200, MIME_HTML, responseBody);
    }

    public final int httpCode;
    public final String mimeType;
    public final byte[] responseBody;

    public ServiceResponse(int httpCode, String mimeType, byte[] responseBody) {
        this.httpCode = httpCode;
        this.mimeType = mimeType;
        this.responseBody = responseBody;
    }
}
