/*
 * $Id: LangEnum.java 4734 2018-03-26 11:56:24Z carsten $
 *
 * Copyright 2017 - Carsten Moeller Software
 * All rights reserved.
 * Use is subject to license terms.
 */

package de.cm.osm2po.service.errors;

public enum LangEnum {

    Default("en"),
    English("en"),
    German("de");

    private String lang;

    private LangEnum(String lang) {
        this.lang = lang;
    }

    public static LangEnum findByCode(String lang) {
        for (LangEnum langEnum : LangEnum.values()) {
            if (langEnum.lang.equals(lang)) {
                return langEnum;
            }
        }
        return Default;
    }

    public String getLang() {
        return this.lang;
    }

    @Override
    public String toString() {
        return this.getLang();
    }
}
