/*
 * $Id: BasicAuth.java 5827 2023-07-13 08:39:51Z carsten $
 *
 * Copyright 2017 - Carsten Moeller Software
 * All rights reserved.
 * Use is subject to license terms.
 */

package de.cm.osm2po.service.security;

import com.sun.net.httpserver.BasicAuthenticator;

import de.cm.osm2po.Config;
import de.cm.osm2po.logging.Log;

/**
 * @author (c) 2023 - Carsten Moeller - info@osm2po
 */
public class BasicAuth extends BasicAuthenticator {

    public BasicAuth(Config config) {
        super("OSM2PO");
        final Log log = config.getLog();
        if (log != null) log.debug(this.getClass().getSimpleName() + " constructed.");
    }

    @Override
    public boolean checkCredentials(String username, String password) {
        if (null == username || null == password) return false;
        if (username.length() < 3) return false;
        if (password.length() < 3) return false;
        return true;
    }

}
